LiveOne Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/liveone-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001491419/a097fd10-d355-4e2e-b964-7c0c7f1a1a54.html",
    "holding_balance": 43.15,
    "holding_net_change": 43.15,
    "transaction_value_usd": 5000000.0,
    "average_entry_value_usd": 115874.86,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    43.15
  ],
  [
    1779062400000,
    43.15
  ],
  [
    1779148800000,
    43.15
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3341098.459
  ],
  [
    1779062400000,
    3320145.2505
  ],
  [
    1779148800000,
    3312194.4314999995
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 5.13,
    "date": "2026-05-15",
    "high": 5.44,
    "open": 5.4,
    "close": 5.28,
    "volume": 49400
  },
  {
    "low": 5.02,
    "date": "2026-05-18",
    "high": 6.25,
    "open": 5.18,
    "close": 6.22,
    "volume": 154300
  },
  {
    "low": 5.9762,
    "date": "2026-05-19",
    "high": 6.575,
    "open": 6.21,
    "close": 6.51,
    "volume": 110058
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.38,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.4375
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 35.34,
  "six_month_return": 44.35,
  "three_month_return": 25.19
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/liveone-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 4.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}